#include "allinc.inc"

camera { location
//<-5,1.5,-2.5>
<0,1.5,-5>
 look_at <0,0,0> }

light_source {<-120,300,-500>White}
light_source {<250,45,-200>White}

background {Gray55}

#declare Pool = union {
object {Cube pigment {rgbt <0,1,1,.5>} scale 100 normal {bumps .5 scale .5}
 finish {reflection .25 ambient .3 phong .5 specular .4} translate -100*y }
object {Cube pigment {rgb 1} scale <100,10,5> translate <0,-5,100>
 normal {wrinkles 5 scale 2} }
plane {z,150 texture {Blue_Sky2 scale 50} } }

#declare Beach_Ball = object {
sphere {<0,0,0>2 pigment {radial color_map
 { [0 rgb <1,1,0>] [.5 rgb <0,0,1>] [1 rgb <1,0,0>] }
 frequency 12.5 rotate 6*y } normal {radial 5 frequency 15 }
 finish {phong .9} translate -1.5*x } }

#declare Arm = object {
blob { threshold .6
 cylinder {<5,0,0><0,1,0>.75,1 } //forearm
 cylinder {<5,1,0><2,.5,0>.5,1 } //forearm muscles
 sphere {<3,.35,-.5>.65,1 } //forearm muscles
 sphere {<2.5,.2,-.35>.5,1 } //forearm muscles
 sphere {<0,1.5,0>.5,1 } //upper palm
 sphere {<-.25,1,0>.5,1 } //lower palm
 sphere {<-.5,1.25,.5>.75,1 } //lower heel
 sphere {<-.25,1.5,.5>.75,1 } //upper heel
 cylinder {<.05,1.5,0><.05,2,0>.5,1 } //lower thumb
 cylinder {<0,2.35,0><-.25,2.5,.2>.25,1 } //upper thumb
 cylinder {<-1.25,1.75,.75><-.75,1.45,.5>.35,1 } //lower pinky
 cylinder {<-1.4,1.8,.75><-2,2.2,.65>.25,1 } //upper pinky
 cylinder {<-.6,2.2,.75><-.25,1.75,.5>.35,1 } //lower pointer
 cylinder {<-.65,2.4,.75><-1.25,2.65,.65>.25,1 } //upper pointer
  pigment {rgb <.7,.6,.1>} normal {crackle 1 scale .5} translate <1.5,-1,0> } }

#declare Floaty = union {
torus {1.25,.35 pigment {bozo
 color_map { [0 rgb <1,0,0>] [.23 rgb <.6,.8,.3>] [.35 rgb <.3,.5,.9>] [.6 rgb <0,0,.5>]
 [.78 rgb <1,.3,.5>] [.91 rgb <.4,1,.5>] [1 rgb <.6,.5,.7>]} }
 finish {phong .9} }
blob { threshold .6
 cylinder {<1.25,0,0><1.25,1.35,0>.5,1 }
 cylinder {<1.25,1.75,0><1.5,2,0>.5,1 }
 cylinder {<1.5,2,0><2,1.5,0>.35,1 } pigment {bozo
 color_map { [0 rgb <1,0,0>] [.23 rgb <.6,.8,.3>] [.35 rgb <.3,.5,.9>] [.6 rgb <0,0,.5>]
 [.78 rgb <1,.3,.5>] [.91 rgb <.4,1,.5>] [1 rgb <.6,.5,.7>]} }
 finish {phong .9} }
sphere {<1.75,2,-.25>.1 pigment {Green} }
sphere {<1.75,2,.25>.1 pigment {Green} } }

#declare Buddy = union {
object {Floaty}
blob { threshold .6
 cylinder {<0,.25,0><.5,1.75,0>1,1 } //torso
 sphere {<-.25,.25,.25>.75,1 } //pelvis
 sphere {<.25,.25,-.25>.75,1 } //pelvis
 cylinder {<-.25,0,.25><-1.5,.5,.25>.5,1 } //right thigh
 cylinder {<-1.5,.35,.25><-2,-.25,.25>.5,1 } //right ankle
 cylinder {<-2,-.35,.25><-2.75,-.35,.15>.25,1 } //right toe 1
 cylinder {<-2,-.35,.25><-2.75,-.75,.4>.25,1 } //right toe 2
 cylinder {<.25,0,-.25><.25,.5,-1.5>.5,1 } //left thigh
 cylinder {<.25,.35,-1.5><.25,-.25,-2>.5,1 } //left ankle
 cylinder {<.25,-.35,-2><.1,-.75,-2.75>.25,1 } //left toe 1
 cylinder {<.25,-.35,-2><.5,-.5,-2.75>.25,1 } //left toe 2
 sphere {<.75,1.75,-.25>.5,1 } //left shoulder
 sphere {<.25,1.75,.25>.5,1 } //right shoulder
 cylinder {<.75,1.75,-.25><1.25,1,-.75>.35,1 } //left bicep
 cylinder {<1.35,.75,-.75><1.5,0,-.75>.3,1 } //left forearm
 cylinder {<0,2,0><-.5,2,-.5>.35,1 } //neck
 cylinder {<-.6,2,-.5><-1,2.25,-.5>.3,1 } //neck 2
 sphere {<-1.25,2.35,-.5>.5,1 } //chin
 sphere {<-1.75,2.45,-.75>.75,1 } //head
 cylinder {<-1.75,2.45,-.75><-2.5,2,-1.25>.15,-1 pigment {White} }
 cylinder {<-1.75,2.45,-.75><-2,3,-1>.15,1 }
 cylinder {<-1.75,2.45,-.75><-2,3,0>.15,1 }
 sphere {<.25,2.25,-.15>.35,1 } //traps
 sphere {<-.15,2.25,.15>.35,1 } //traps
  pigment {rgb <1,.75,.6>}
  normal {bozo .5 scale .25 rotate 45*z}
  finish {ambient .1} }
sphere {<-1.75,2.65,-1>.15 pigment {White} }
sphere {<-1.75,2.65,-.5>.15 pigment {White} }
sphere {<-1.75,2.7,-1.1>.075 pigment {Blue} }
sphere {<-1.75,2.7,-.4>.075 pigment {Blue} }
}


object {Buddy translate <5,0,7.5> }


object {Beach_Ball}
object {Arm}
object {Pool}
